#
# spec file for package lapack-man
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lapack-man
%define _name   lapack
Version:        3.5.0
Release:        lp150.2.3
Summary:        Manpages for LAPACK
License:        BSD-3-Clause
Group:          Documentation/HTML
Url:            http://www.netlib.org/lapack/
Source0:        http://www.netlib.org/lapack/%{_name}-%{version}.tgz
BuildRequires:  doxygen >= 1.7
Provides:       lapack-manpages = %{version}
Obsoletes:      lapack-manpages < %{version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Manpages for LAPACK

%package     -n blas-man
Summary:        Documentation for BLAS (Basic Linear Algebra Subprograms)
Group:          Development/Libraries/Parallel
Provides:       blasman = %{version}
Obsoletes:      blasman < %{version}

%description -n blas-man
The blas-man package contains documentation for BLAS (Basic Linear
Algebra subprograms) routines, in the form of man pages.

%prep
%setup -q -n %{_name}-%{version}

%build
cp make.inc.example make.inc
# Create man pages - and do some cleanup
make man %{?_smp_mflags}
rm -f DOCS/man/man3/*tst*
rm -f DOCS/man/man3/TST*
rm -f DOCS/man/man3/MYSUB.3
rm -f DOCS/man/man3/INSTALL_lsame.f.3
rm -f DOCS/man/man3/xerbla.f.3
rm -f DOCS/man/man3/xerbla_array.f.3
rm -f DOCS/man/man3/*_.3
rm -f DOCS/man/man3/dsecnd_*.3
rm -f DOCS/man/man3/DSECND.3
rm -f DOCS/man/man3/second_*3
rm -f DOCS/man/man3/SECOND.3
rm -f DOCS/man/man3/LAPACK_version.f.3
rm -f DOCS/man/man3/SRC_ilaver.f.3
rm -f DOCS/man/man3/SRC_xerbla.f.3
rm -f DOCS/man/man3/SRC_xerbla_array.f.3
rm -f DOCS/man/man3/SLAMC2.3.gz
rm -f DOCS/man/man3/SLAMC3.3.gz
rm -f DOCS/man/man3/SLAMC4.3.gz
rm -f DOCS/man/man3/SLAMC5.3.gz
rm -f DOCS/man/man3/DLAMC2.3.gz
rm -f DOCS/man/man3/DLAMC3.3.gz
rm -f DOCS/man/man3/DLAMC4.3.gz
rm -f DOCS/man/man3/DLAMC5.3.gz
rm -f DOCS/man/man3/SLADIV1.3.gz
rm -f DOCS/man/man3/SLADIV2.3.gz
rm -f DOCS/man/man3/DLADIV1.3.gz
rm -f DOCS/man/man3/DLADIV2.3.gz
mv DOCS/man/man3/BLAS_SRC_lsame.f.3 DOCS/man/man3/lsame.f.3
mv DOCS/man/man3/BLAS_SRC_xerbla.f.3 DOCS/man/man3/xerbla.f.3
mv DOCS/man/man3/BLAS_SRC_xerbla_array.f.3 DOCS/man/man3/xerbla_array.f.3
mv DOCS/man/man3/INSTALL_ilaver.f.3 DOCS/man/man3/ilaver.f.3
rm -f DOCS/psfig.tex # see bnc#757332

%install
install -d %{buildroot}%{_mandir}/man3
install -m 0644 DOCS/man/man3/*.3 %{buildroot}%{_mandir}/man3/
find BLAS/SRC/ -name \*.f -type f -printf "%{_mandir}/man3/%f.3.gz\n" \
     > blasmans
find BLAS/SRC/ -name \*.f -type f -printf "%f\n" \
     | tr 'a-z' 'A-Z' |sed -e 's#\(.*\).F#'%{_mandir}/man3/'\1.3.gz#' \
     >> blasmans
find SRC/ -name \*.f -type f -printf "%{_mandir}/man3/%f.3.gz\n" \
     | grep -v -E 'lsame.f|sceil.f|xerbla.f|xerbla_array.f' \
     | sort -u > lapackmans
find SRC/ -name \*.f -type f -printf "%f\n" \
     | grep -v -E 'sceil.f|xerbla.f|xerbla_array.f' \
     | tr 'a-z' 'A-Z' |sed -e 's#\(.*\).F#'%{_mandir}/man3/'\1.3.gz#' \
     | sort -u >> lapackmans
echo %{_mandir}/man3/SLAMC1.3.gz >> lapackmans
echo %{_mandir}/man3/SLAMC2.3.gz >> lapackmans
echo %{_mandir}/man3/SLAMC3.3.gz >> lapackmans
echo %{_mandir}/man3/SLAMC4.3.gz >> lapackmans
echo %{_mandir}/man3/SLAMC5.3.gz >> lapackmans
echo %{_mandir}/man3/SLAMCH.3.gz >> lapackmans
echo %{_mandir}/man3/DLAMC1.3.gz >> lapackmans
echo %{_mandir}/man3/DLAMC2.3.gz >> lapackmans
echo %{_mandir}/man3/DLAMC3.3.gz >> lapackmans
echo %{_mandir}/man3/DLAMC4.3.gz >> lapackmans
echo %{_mandir}/man3/DLAMC5.3.gz >> lapackmans
echo %{_mandir}/man3/DLAMCH.3.gz >> lapackmans
echo %{_mandir}/man3/SLADIV1.3.gz >> lapackmans
echo %{_mandir}/man3/SLADIV2.3.gz >> lapackmans
echo %{_mandir}/man3/DLADIV1.3.gz >> lapackmans
echo %{_mandir}/man3/DLADIV2.3.gz >> lapackmans
echo %{_mandir}/man3/slamch.f.3.gz >> lapackmans
echo %{_mandir}/man3/slamchf77.f.3.gz >> lapackmans
echo %{_mandir}/man3/dlamch.f.3.gz >> lapackmans
echo %{_mandir}/man3/dlamchf77.f.3.gz >> lapackmans
ln -s SLAMC1.3.gz %{buildroot}/%{_mandir}/man3/SLAMC2.3.gz
ln -s SLAMC1.3.gz %{buildroot}/%{_mandir}/man3/SLAMC4.3.gz
ln -s SLAMC1.3.gz %{buildroot}/%{_mandir}/man3/SLAMC5.3.gz
ln -s SLAMCH.3.gz %{buildroot}/%{_mandir}/man3/SLAMC3.3.gz
ln -s DLAMC1.3.gz %{buildroot}/%{_mandir}/man3/DLAMC2.3.gz
ln -s DLAMC1.3.gz %{buildroot}/%{_mandir}/man3/DLAMC4.3.gz
ln -s DLAMC1.3.gz %{buildroot}/%{_mandir}/man3/DLAMC5.3.gz
ln -s DLAMCH.3.gz %{buildroot}/%{_mandir}/man3/DLAMC3.3.gz
ln -s SLADIV.3.gz %{buildroot}/%{_mandir}/man3/SLADIV1.3.gz
ln -s SLADIV.3.gz %{buildroot}/%{_mandir}/man3/SLADIV2.3.gz
ln -s DLADIV.3.gz %{buildroot}/%{_mandir}/man3/DLADIV1.3.gz
ln -s DLADIV.3.gz %{buildroot}/%{_mandir}/man3/DLADIV2.3.gz

%files -f lapackmans
%defattr(-,root,root)

%files -n blas-man -f blasmans
%defattr(-,root,root)

%changelog
* Wed May 31 2017 jengelh@inai.de
- Correct RPM groups
* Wed May 17 2017 dimstar@opensuse.org
- Build the man pages in a separate .spec file (lapack-man). The
  resulting rpm names are kept identical. This allows us to drop
  doxygen out of lapack's main package buildroot, thus eliminating
  a build cycle.
* Fri May  8 2015 dmitry_r@opensuse.org
- Fix static libraries list
* Wed Jul 16 2014 idonmez@suse.com
- Add baselibs.conf to sources
* Mon Jul 14 2014 toddrme2178@gmail.com
- Include update-alternatives dependency in subpackages that use it
  to guarantee it will be available.
* Wed Jun 18 2014 dmitry_r@opensuse.org
- Move blas and lapack libraries to subdirectories for fixing
  update-alternatives [bnc#861081]
- Add %%posttrans scripts for fixing migration problems.
* Thu Nov 21 2013 burnus@net-b.de
- Update to 3.5.0
  * Added Hermitian LDLT factorization routines with rook pivoting
    algorithm
  * 2-by-1 CSD to be used for tall and skinny matrix with orthonormal
    columns
  * New stopping criteria for balancing
  * New complex division algorithm
  * Various improvements
- No longer removing files due to license reasons as one file is
  no longer part of Lapack and the others have been replaced by
  new ones under the normal LAPACK license
* Tue Oct 29 2013 lnt-sysadmin@lists.lrz.de
- packaged symlinks created by update-alternative as %%ghost files
- removed quotes from update-alternative command to silence rpmlint warning
* Fri Mar 15 2013 dmitry_r@opensuse.org
- Split devel packages into devel and devel-static
* Sun Jan 13 2013 scorot@free.fr
- add update-alternative support to allow user to easily switch
  between several blas and lapack libraries
* Tue Nov  6 2012 burnus@net-b.de
- Update to 3.4.2
  * Bug fixes
* Wed Jul 25 2012 idonmez@suse.com
- Fix bnc#772628
* Thu Jul 19 2012 scorot@free.fr
- update baselibs.conf
* Sun Jul 15 2012 scorot@free.fr
- build the c interface lapacke
* Thu May 31 2012 kukuk@suse.de
- doxygen >= 1.7 is required for building docu
* Mon May 21 2012 saschpe@suse.de
- Change obsoletes '<=' for lapack and blas back to '<', there was a
  version update in between
- Remove psfig.tex (bnc#757332)
* Wed May  9 2012 coolo@suse.com
- fixing dependencies for devel-32bit
* Fri May  4 2012 burnus@net-b.de
- Update to 3.4.1
  * Bug fixes
* Mon Apr  2 2012 rguenther@suse.com
- Undo spec file obfuscation
* Fri Mar 30 2012 toddrme2178@gmail.com
- Fixed building on openSUSE 11.4 by fixing defattr
- Made the package groups consistent: Development/Libraries/Parallel
- Cleaned up spec file formatting
- Made all requires use the new package naming
* Wed Mar 14 2012 saschpe@suse.de
- Adhere to shared library policy, packages containing *.so or *.h
  files have to be named $FOO-devel, packages containing *.a files either
  have to be named $FOO-devel-static or provide this name
- Set license to 'BSD-3-Clause', according to the file LICENSE and the
  description on http://www.netlib.org/lapack/ it's not public domain
- Package README and LICENSE in library packages
- Removed rpmlint filters
- Use upstream tarball URL
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Nov 23 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Wed Nov 16 2011 burnus@net-b.de
- Update to 3.4.0
  * xGEQRT: QR factorization (improved interface)
  * xGEQRT3: recursive QR factorization.
  * xTPQRT: Communication-Avoiding QR sequential kernels.
  * Bug fixes.
  * Changes see http://www.netlib.org/lapack/lapack-3.4.0.html
* Fri Sep  9 2011 burnus@net-b.de
- Run BLAS and LAPACK testsuite when building
* Thu May 12 2011 burnus@net-b.de
- Update to 3.3.1 [bnc#654560]
  * New procedures to compute the complete CS decomposition of a
    partitioned unitary matrix
  * Level-3 BLAS symmetric indefinite solve (xSYTRS) and symmetric
    indefinite inversion (xSYTRI)
  * Bug fixes
  * Changes see at http://www.netlib.org/lapack/lapack-3.3.1.html
    and http://www.netlib.org/lapack/lapack-3.3.0.html
* Thu Aug 12 2010 rguenther@novell.com
- Add baselibs.  [bnc#630656]
* Thu Jul  8 2010 burnus@net-b.de
- Update to version 3.2.2
  * Bug fix release
  * Changes see at http://www.netlib.org/lapack/lapack-3.2.2.html
* Tue Feb  9 2010 prusnak@suse.cz
- package man and blas-man as noarch
* Wed Jan 13 2010 rguenther@suse.de
- Drop -O3 -funroll-all-loops compiler flags, build dcabs1.f with -O0.
  [bnc#569978]
* Mon May 18 2009 dominique-obs@leuenberger.net
- Update to version 3.2.1 [bnc#504669]
  * Changes see at http://www.netlib.org/lapack/lapack-3.2.1.html
* Wed Jan 28 2009 rguenther@suse.de
- Update to version 3.2.0.  [bnc#456384]
  * Extra Precise Iterative Refinement
  * XBLAS
  * Non-Negative Diagonals from Householder QR
  * High Performance QR and Householder Reflections on Low-Profile Matrices
  * New fast and accurate Jacobi SVD
  * Routines for Rectangular Full Packed format
  * Pivoted Cholesky
  * Mixed precision iterative refinement
  * Some new variants added for the one sided factorization
  * More robust DQDS algorithm
* Sun May 11 2008 lrupp@suse.de
- use versioned requires/obsoletes
- %%run_ldconfig is deprecated
- prefix the patch with the packagename
* Fri Apr 27 2007 rguenther@suse.de
- Update to version 3.1.1.  [#265999]
- Integrates 3.1.0 errata and missing blas routines.
- Provides better gfortran SECOND integration.
- Split shared libraries into their own versioned subpackage.
* Fri Jan 19 2007 rguenther@suse.de
- Include fixes for the 3.1.0 errata.
- Add missing CSROT, DROTM, DROTMG, DSDOT, SDSDOT, SROTM, SROTMG
  and ZDROT from blas distribution.  [#228824]
* Thu Dec 14 2006 rguenther@suse.de
- Restore missing so symlinks.
* Tue Nov 14 2006 rguenther@suse.de
- Update to version 3.1.0.
- Rename blasman to blas-man.
- Rename lapack-manpages to lapack-man.
* Tue Oct 31 2006 rguenther@suse.de
- Trim BuildRequires.
- Build and package -fPIC static library variants.  [#205310]
- Fix installing of the libblas.so symlink.
- Do not package the matrix testing setup library libtmglib.
- Do not package useless README file.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 kukuk@suse.de
- Add gmp-devel to nfb
* Fri Apr 22 2005 meissner@suse.de
- fixed all other instances of -fno-f2c, and g77 -> gfortran use.
* Thu Apr 21 2005 meissner@suse.de
- g77 -> gfortran, -fno-f2c is no more.
* Sat Jan 29 2005 nashif@suse.de
- Updated manpages (#48784)
* Thu Jan 20 2005 ro@suse.de
- remove BuildPrereq, BuildRequires is generated
* Thu Mar 18 2004 nashif@suse.de
- Fixed permission for manpages (#36340)
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Feb  3 2003 meissner@suse.de
- Use $RPM_OPT_FLAGS, so it builds on ppc64.
* Mon Aug 26 2002 nashif@suse.de
- Fixed manpage conflict
- correct library version
* Mon Jul  1 2002 ro@suse.de
- use -fPIC for all shared objects
- link liblapack with shared libblas (same reason)
* Thu May  2 2002 sf@suse.de
- fixed %%{_lib}-problems for x86_64
* Mon Sep 17 2001 nashif@suse.de
-  Fixed bug #9925, adding blas to required packages.
* Tue May  8 2001 nashif@suse.de
-  Fixed bug #6803
* Thu Feb  8 2001 sf@suse.de
- compile with '-01' for IA64 due to 'internal compiler error' in g77
* Mon Nov  6 2000 nashif@suse.de
-  Fixed bug of missing objects (#4028)
* Fri Apr 21 2000 nashif@suse.de
-  Applied new patches
-  Modified group, url and files in spec
* Mon Feb 21 2000 nashif@suse.de
-   Applied new patches
* Tue Jan 18 2000 nashif@suse.de
-   Applied new patched
-   Moved manpages to /usr/share/man
* Thu Dec 23 1999 nashif@suse.de
-    Update to latest version
-    Package split lapack + blas
* Thu Oct  7 1999 nashif@suse.de
- Package split: man pages + libraries
* Wed Sep 22 1999 nashif@suse.de
- New package: LAPACK
  Linear Algebra Package (LAPACK)
